Introduction to Transcode

Transcode is a fast, versatile and command-line based audio/video everything to everything converter. For a rundown of the features and capabilities, along with usage examples, visit the Transcode Wiki at

This package is known to build and work properly using an LFS-7.8 platform.

Package Information

Additional Downloads

Transcode Dependencies





FAAC-1.28, FreeType-2.6, ImageMagick-6.9.2-0, liba52-0.7.4, libdv-1.0.0, libjpeg-turbo-1.4.1, libogg-1.3.2, libquicktime-1.2.4, libtheora-1.1.1, libvorbis-1.3.5, libxml2-2.9.2, LZO-2.09, SDL-1.2.15, v4l-utils-1.6.3, x264-20150908-2245, XviD-1.3.3 MJPEG Tools, and PVM3,

User Notes:

Installation of Transcode



The details of how the FFmpeg libraries are used has changed since this version of Transcode was released. The patch allows the package to be compiled, but some or all of the internal calls to FFmpeg fail at run time (they report an error and processing continues, but without any output).

For many packages, that would be a critical error. In this case, the main reason to install Transcode is for the tccat program, which works. Some of the transcode options work - for the others, use ffmpeg directly on the command line.

If building with --enable-freetype2 configure switch, use the following sed to fix building against FreeType-2.5.1 or newer versions:

sed -i "s:#include <freetype/ftglyph.h>:#include FT_GLYPH_H:" filter/subtitler/load_font.c

Install Transcode by running the following commands:

sed -i 's|doc/transcode|&-$(PACKAGE_VERSION)|' \
       $(find . -name -exec grep -l 'docsdir =' {} \;) &&

sed -i "s:av_close_input_file:avformat_close_input:g" \
       import/probe_ffmpeg.c                                       &&

patch -Np1 -i ../transcode-1.1.7-ffmpeg2-1.patch                   &&
./configure --prefix=/usr \
            --enable-alsa \
            --enable-libmpeg2 &&

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

sed -i ...: Fixes install location for documentation.

sed ... import/probe_ffmpeg.c: This sed fixes compilation with ffmpeg-2.4 or newer versions.

Support for most of the dependency packages requires using options passed to the configure script. View the INSTALL file and the output from ./configure --help for complete information about enabling dependency packages.


Installed Programs: avifix, aviindex, avimerge, avisplit, avisync, tccat, tcdecode, tcdemux, tcextract, tcmodinfo, tcmp3cut, tcprobe, tcscan, tcxmlcheck, tcxpm2rgb, tcyait, and transcode
Installed Libraries: None
Installed Directories: /usr/lib/transcode and /usr/share/doc/transcode-1.1.7

Short Descriptions


fixes the header of an AVI file.


writes a text file describing the index of an AVI file.


merges AVI files of the same format. Do not try to merge AVI files of different formats, it will most likely result in errors (and format means same bitrates, too!).


splits AVI files into multiple files.


can shift audio in AVI files for better synchronizing of the audio and video data signal.


concatenates input files using the input plugins of Transcode. This is useful for extracting VOB (Video OBject) files.


is used to decode input files to raw video and PCM audio streams.


demultiplexes (separates) audio/video input that contains multiple streams, e.g., VOB files.


grabs single streams from a file containing multiple streams.


loads a supplied Transcode filter module and prints its parameters.


is a tool which can cut MP3 streams at milliseconds positions.


prints information about the input file format.


performs several measurements on the given input data.


checks information in a SMIL input file.


is the encoder's user interface that handles the plugins and other programs, being the glue between the modules. There are several well documented usage examples on both the homepage and the documentation included in the package.

Last updated on 2015-09-20 15:38:20 -0700